Skip to content

Network

All operations require authentication.

2 operationsv1/storage/nasha
View as Markdown (opens in a new tab)
Agent setup

List networksBeta

GET
/v1/storage/nasha/{serviceName}/network

Returns the networks of the service, with their status and the URN of the vRack Services they are attached to.

Path parameters

serviceName
required
string

Service name

Response

200Network[]successful operation
id
read-only
stringuuid

Network ID

status
read-only
NetAppNetworkStatusEnum

Network status

Valuesassociatedassociatingdissociatingto_configure
vRackServicesURN
read-only
string

vRack Services URN the network is attached to

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/network \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "id": "00000000-0000-0000-0000-000000000000", "status": "associated", "vRackServicesURN": "string" }]

Get a networkBeta

GET
/v1/storage/nasha/{serviceName}/network/{networkId}

Returns the network status and the URN of the vRack Services it is attached to. The status is to_configure until a vRack Services is associated with the network, then moves through associating to associated.

Path parameters

networkId
required
stringuuid

Network ID

serviceName
required
string

Service name

Response

200Networksuccessful operation
id
read-only
stringuuid

Network ID

status
read-only
NetAppNetworkStatusEnum

Network status

Valuesassociatedassociatingdissociatingto_configure
vRackServicesURN
read-only
string

vRack Services URN the network is attached to

Example uses networkId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/network/{networkId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": "00000000-0000-0000-0000-000000000000", "status": "associated", "vRackServicesURN": "string"}